Skip to main content
GET
/
assets
List Assets
curl --request GET \
  --url https://api.hedra.com/web-app/public/assets \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.hedra.com/web-app/public/assets"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.hedra.com/web-app/public/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "thumbnail_url": "<string>",
    "created_at": "<string>",
    "asset": {
      "width": 123,
      "height": 123,
      "url": "<string>",
      "type": "uploaded_image"
    },
    "description": "<string>",
    "is_favorite": false,
    "recent": false,
    "favorited_at": "<string>"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-API-Key
string
header
required

Query Parameters

type
enum<string>
required
Available options:
text,
image,
audio,
video,
voice
ids
string | null

Response

Successful Response

id
string<uuid>
required

The id of the asset.

type
enum<string>
required

The type of the asset.

Available options:
text,
image,
audio,
video,
voice
name
string
required

Name of the asset. Default to user-provided file name.

thumbnail_url
string
required

URL of the thumbnail image.

created_at
string
required

Date the asset was created.

asset
UploadedImage · object
required

The asset itself.

description
string | null

Optional description of the asset.

is_favorite
boolean
default:false

Whether the asset is favorited by the user.

recent
boolean
default:false

Whether this asset was recently used by the user.

favorited_at
string | null

Date the asset was favorited.